Services/Overlay/Custom Content Templates
Get All Custom Content Template Overlay by Service
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/services/{serviceID}/overlays/custom-content HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"deleted_at": "2026-01-01T00:00:00.000Z",
"org_id": "text",
"service_id": "text",
"alert_source_version": "text",
"alert_source_shortname": "text",
"overlay_template_type": "text",
"overlay": {
"message": "text",
"description": "text"
},
"created_by": "text",
"updated_by": "text",
"alert_source_type": "text"
}
]
}The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
POST /v3/services/{serviceID}/overlays/custom-content/render HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67
{
"overlay_template_type": "text",
"template": "text",
"payload": "text"
}{
"data": "text"
}Get Custom Content Template Overlay
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/services/{serviceID}/overlays/custom-content/{alertSource} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"deleted_at": "2026-01-01T00:00:00.000Z",
"org_id": "text",
"service_id": "text",
"alert_source_version": "text",
"alert_source_shortname": "text",
"overlay_template_type": "text",
"overlay": {
"message": "text",
"description": "text"
},
"created_by": "text",
"updated_by": "text",
"alert_source_type": "text"
}
}Create or Update Notification Template Overlay
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v3/services/{serviceID}/overlays/custom-content/{alertSource} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 112
{
"overlay_template_type": "text",
"message_overlay": {
"template": "text"
},
"description_overlay": {
"template": "text"
}
}{
"data": {
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"deleted_at": "2026-01-01T00:00:00.000Z",
"org_id": "text",
"service_id": "text",
"alert_source_version": "text",
"alert_source_shortname": "text",
"overlay_template_type": "text",
"overlay": {
"message": "text",
"description": "text"
},
"created_by": "text",
"updated_by": "text",
"alert_source_type": "text"
}
}Delete Notification Template Overlay
There is no content to send for this request, but the headers may be useful.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
DELETE /v3/services/{serviceID}/overlays/custom-content/{alertSource} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}Last updated